
// template <class T>
// void dataTypes(Vector<hid_t>& a_types, const T& templateType);

// template <class T>
// void dataSize(const T& item, Vector<int>& a_sizes, 
// 		 const Box& box, const Interval& comps);

// template <class T>
// void write(const T& item, Vector<void*>& a_allocatedBuffers, 
// 	      const Box& box, const Interval& comps);

// template <class T>
// void read(T& item, Vector<void*>& a_allocatedBuffers, 
// 	     const Box& box, const Interval& comps);

// template <class T>
// const char* name(const T& templateType);


// This is an empty include file that users can redefine in their own
// directory and add their own template specializations for
// portable binary IO abilities.  This file is included into our code
// using the " " include syntax, so that your home directory is searched
// first when you specialze the read/write functions of the HDF5 code.
//
//  http://hdf.ncsa.uiuc.edu/HDF5/
//
// available datatypes in HDF5 
//
//            Example
//                                                  Corresponding C Type
//            H5T_NATIVE_CHAR
//                                                  char
//            H5T_NATIVE_UCHAR
//                                                  unsigned char
//            H5T_NATIVE_SHORT
//                                                  short
//            H5T_NATIVE_USHORT
//                                                  unsigned short
//            H5T_NATIVE_INT
//                                                  int
//            H5T_NATIVE_UINT
//                                                  unsigned
//            H5T_NATIVE_LONG
//                                                  long
//            H5T_NATIVE_ULONG
//                                                  unsigned long
//            H5T_NATIVE_FLOAT
//                                                  float
//            H5T_NATIVE_DOUBLE
//                                                  double
//
// and some special ones defined for Chombo:
//
//            H5T_NATIVE_REAL                       Real
//
//            box_id                                Box
//
//            intvext_id                            IntVect


